# $Revision: 1.75 $, $Date: 2012/01/30 22:34:43 $
#
# Conditional build:
%bcond_without	gtk		# build without gtk-based frontend (fewer dependencies)
#
Summary:	ettercap - a ncurses-based sniffer/interceptor utility
Summary(pl.UTF-8):	ettercap - oparte o ncurses narzędzie do sniffowania/przechwytywania
Summary(pt_BR.UTF-8):	ettercap e um interceptador/sniffer paseado em ncurses
Name:		ettercap
Version:	0.7.3
Release:	12
Epoch:		1
License:	GPL
Group:		Networking/Utilities
Source0:	http://downloads.sourceforge.net/ettercap/%{name}-NG-%{version}.tar.gz
# Source0-md5:	28fb15cd024162c55249888fe1b97820
Patch1:		%{name}-build.patch
Patch2:		%{name}-as-needed.patch
Patch3:		%{name}-libmissing.patch
Patch4:		%{name}-shlib_ext.patch
Patch5:		%{name}-flags.patch
URL:		http://ettercap.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gtk:BuildRequires:	gtk+2-devel}
BuildRequires:	libltdl-devel
BuildRequires:	libnet-devel >= 1.1.2.1
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	ncurses-ext-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
ettercap is a network sniffer/interceptor/logger for ethernet LANs
(both switched or not). It supports active and passive dissection of
many protocols (even ciphered ones, like SSH and HTTPS). Data
injection in an established connection and filtering (substitute or
drop a packet) on the fly is also possible, keeping the connection
synchronized. Many sniffing modes were implemented to give you a
powerful and complete sniffing suite. Plugins are supported. It has
the ability to check whether you are in a switched LAN or not, and to
use OS fingerprints (active or passive) to let you know the geometry
of the LAN. The passive scan of the LAN retrieves infos about: hosts
in the lan, open ports, services version, type of the host (gateway,
router or simple host) and extimated distance in hop.

%description -l pl.UTF-8
ettercap jest wieloczynnościowym snifferem/przechwytywaczem/loggerem
dla sieci LAN (opartych na switchach lub hubach). Obsługuje aktywną i
pasywną analizę wielu protokołów (nawet szyfrowanych, jak SSH czy
HTTPS). Możliwe jest także wstrzykiwanie lub filtrowanie danych
(podmiana lub usunięcie pakietu) w locie, przy podtrzymaniu
synchronizacji połączenia. Program ma zaimplementowane wiele trybów
sniffowania, aby dać potężne i kompletne narzędzie. Obsługiwane są
wtyczki. Program ma możliwość sprawdzania, czy pracuje w sieci ze
switchami oraz używania odcisków systemów (aktywnego lub pasywnego) do
poznania geometrii sieci. Pasywne skanowanie sieci uzyskuje informacje
o: hostach w sieci, otwartych portach, wersjach usług, rodzajach
hostów (bramki, routery lub zwykłe komputery) oraz przybliżonych
odległościach (w hopach).

%description -l pt_BR.UTF-8
ettercap é um sniffer/interceptor/logger de rede para redes locais
(com uso de switches ou não). Suporta operações ativas e passivas de
vários protocolos (mesmo os criptografados, como SSH e HTTPS). Também
é possível injeção de dados em uma conexão estabelecida e filtragem
(substituição ou descarte de um pacote) em tempo real mantendo a
conexão sincronizada. Muitos modos de sniffing foram implementadas
para proporcionar a você um completo conjunto de sniffing. Plugins são
suportados. Tem a habilidade de verificar se você está em uma rede
local com switches ou não. Utiliza fingerprints do Sistema Operacional
(ativo ou passivo) para permitir que você conheça a geometria da rede
local. A varredura passiva da rede local obtém informações sobre:
hosts na rede local, portas abertas, versão de serviços, tipo de host
(gateway, router ou um computador) e a distância estimada no hop.

%prep
%setup -q -n %{name}-NG-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--%{?with_gtk:en}%{!?with_gtk:dis}able-gtk \
	--enable-plugins \
	--enable-https
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG AUTHORS TODO doc/*
%doc THANKS README.BUGS
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ettercap
%attr(755,root,root) %{_libdir}/ettercap/*.so
%{_libdir}/ettercap/*.la
%{_datadir}/ettercap
%{_mandir}/man8/*
%{_mandir}/man5/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/etter.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ettercap.spec,v $
Revision 1.75  2012/01/30 22:34:43  lisu
- no more separated libtinfo(w)

Revision 1.74  2011/09/01 17:03:16  arekm
- release 12

Revision 1.73  2010/11/13 12:07:25  pawelz
- release 11

Revision 1.72  2010/06/19 14:07:17  sparky
- revised patches, better description in patch commits
- regenerate auto*, this way it uses our (patched) libtool
- release: 10

Revision 1.71  2010/06/07 18:03:21  hawk
- release 9

Revision 1.70  2010/05/13 16:04:49  sparky
- BR: pkgconfig

Revision 1.69  2010/04/12 19:24:57  arekm
- release 8

Revision 1.68  2010/04/03 17:18:59  glen
- release 7

Revision 1.67  2008/11/01 13:45:18  arekm
- rel 6; fix build

Revision 1.66  2008/09/07 18:52:27  adamg
- release 5 (against libltdl-2.2.6-1)

Revision 1.65  2008/06/14 20:26:46  arekm
- rel 4

Revision 1.64  2008-05-26 08:48:33  pluto
- release 3 for rebuild with new libltdl.

Revision 1.63  2007-06-13 15:18:12  glen
- executable perms for shared libraries; rel 2

Revision 1.62  2007/06/07 16:57:34  areq
- as-needed.patch

Revision 1.61  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.59  2005/08/07 11:14:05  adamg
- reenabled gtk frontend (bconded, built by default)
- dropped bogus configure options
- adapterized
- release 1

Revision 1.58  2005/06/18 22:03:47  areq
- disable gtk

Revision 1.57  2005/06/12 15:44:17  glen
- need STBR due security (smb check and do it)

Revision 1.56  2005/05/29 18:06:45  paszczus
- updated to 0.7.3

Revision 1.55  2005/05/27 14:15:13  deejay1
- rel. down to 0.1 - package seriously borked - see %build
- added missing BR's and TODO

Revision 1.54  2005/05/22 21:34:35  averne
- BR: libnet-devel

Revision 1.53  2005/03/10 19:23:34  megabajt
- fixed source0

Revision 1.52  2004/12/23 10:26:01  luzik
- added BR libnet
- rel 3

Revision 1.51  2004/12/23 10:16:51  luzik
- fixed %build
- rel 2

Revision 1.50  2004/12/22 12:21:10  qboosh
- workaround for sf

Revision 1.49  2004/12/22 09:26:51  paszczus
- updated to 0.7.2

Revision 1.48  2004/12/21 20:37:39  luzik
- updated to 0.7.1
- patching hashed
- change Source name to ettercap-NG

Revision 1.47  2004/08/18 09:49:15  undefine
- release 4

Revision 1.46  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.45  2004/07/02 13:11:47  areq
- copy config.sub to allow build on amd64

Revision 1.44  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.43  2003/11/23 02:34:04  undefine
- release 3

Revision 1.42  2003/11/11 19:15:28  gotar
- fixed building (passing CFLAGS, linking),
- enabled devel stuff,
- cosmetics,
- removed obsoleted dont_require_root patch.

Revision 1.41  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.40  2003/10/06 07:42:29  djrzulf
- now builds,

Revision 1.39  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.38  2003/08/18 08:08:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/08/02 17:28:38  qboosh
- removed BRs required by rpm-build
- typos, longer pl description

Revision 1.36  2003/07/29 17:19:37  aredridel
- increment release to rebuild with openssl 0.9.7

Revision 1.35  2003/07/11 18:47:23  misi3k
- updated to 0.6b

Revision 1.34  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.33  2003/06/12 17:57:44  areq
- disable gtk

Revision 1.32  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:47:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/22 08:10:20  adgor
- Added epoch to allow upgrade from 0.6.9

Revision 1.29  2003/05/06 21:28:44  adamg
- up to 0.6.a: various new improvements
- fixed source0 address

Revision 1.28  2003/02/13 19:27:05  mmazur
- updated to 0.6.9

Revision 1.27  2003/02/13 14:02:04  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.26  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/08/05 20:40:32  kloczek
- update to 0.6.7: updated the passive OS fingerprint database and bugfixes.

Revision 1.24  2002/06/06 01:37:37  kloczek
- use new %doc,
- better description and merge translations from Conectiva.

Revision 1.23  2002/06/05 05:55:14  yaro
- update to 0.6.6.6
- STBR

Revision 1.22  2002/05/21 23:13:00  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/25 16:15:53  arturs
- fixed a small typo

Revision 1.20  2002/04/24 19:00:01  mmazur
- updated to 0.6.5; rel 1; STBR

Revision 1.19  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/17 00:00:53  qboosh
- missing l

Revision 1.17  2002/02/16 18:31:38  mmazur
- me broke, me fix

Revision 1.16  2002/02/16 18:19:14  kloczek
- adapterized.

Revision 1.15  2002/02/16 17:03:06  mmazur
- updated to 0.6.4
- STBR security

Revision 1.14  2002/02/12 20:53:55  qboosh
- adapterized, s/pld-list/feedback/

Revision 1.13  2002/02/12 17:50:39  mmazur
- update to 0.6.3.1
- my first commit... stress level 95%
- STBR

Revision 1.12  2002/01/18 02:12:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/22 15:50:50  undefine
- update to 0.6.2
- STBR

Revision 1.10  2001/09/07 17:08:05  mkochano
- More BuildRequires.

Revision 1.9  2001/09/07 11:10:08  kloczek
- release 2.

Revision 1.8  2001/09/07 09:58:00  grzegorz
- added pl description and summary

Revision 1.7  2001/09/06 19:50:50  kloczek
- typo.

Revision 1.6  2001/09/06 17:35:14  kloczek
- use --{dis,en}ablele-debug depending on %{debug}.

Revision 1.5  2001/09/06 16:56:48  mkochano
- Added BROKEN kernel_version patch which should make ettercap check version
  of kernel sources installed, not of kernel running.

Revision 1.4  2001/09/06 16:20:54  kloczek
- added missing BuildRequires and cosmetics.

Revision 1.3  2001/09/06 16:11:16  mkochano
- Added plugin_dir patch --- plugins moved to %{_libdir}. They are binary
  files (*.so) and AFAIK should not be in %{_datadir}.
- Removed not needed ,,\'' from %build section.
- Corrected %files section --- ettercap now owns %{_libdir}/%{name}
  directory.

Revision 1.2  2001/09/06 15:39:36  mkochano
- Added dont_require_root patch so it will build as any user.
- Added ncurses so it will build ncurses interface.
- More BuildRequires.
- Gzipped documentation.
- Removed COPYING from docs. Clear copyright in License field.

Revision 1.1  2001/09/06 14:11:58  grzegorz
- PLD initial spec
- need uid=0 to build
